Package tigase.kernel.core

## Class DependencyManager

- java.lang.Object
- - tigase.kernel.core.DependencyManager

-     public class DependencyManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyManager()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BeanConfig` | `createBeanConfig​(Kernel kernel, java.lang.String beanName, java.lang.Class<?> beanClass)` |
    `static java.lang.reflect.Field[]` | `getAllFields​(java.lang.Class<?> klass)` |
    `BeanConfig` | `getBeanConfig​(java.lang.String beanName)` |
    `BeanConfig[]` | `getBeanConfig​(Dependency dependency)` |
    `java.util.Collection<BeanConfig>` | `getBeanConfigs()` |
    `java.util.List<BeanConfig>` | `getBeanConfigs​(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.Class<?> ownerClass)` |
    `java.util.List<BeanConfig>` | `getBeanConfigs​(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.Class<?> ownerClass, boolean allowNonExportable)` |
    `java.util.Collection<Dependency>` | `getDependenciesTo​(BeanConfig destination)` |
    `java.util.HashSet<BeanConfig>` | `getDependentBeans​(BeanConfig beanConfig)` |
    `boolean` | `isBeanClassRegistered​(java.lang.String beanName)` |
    `boolean` | `isThrowExceptionIfCannotCreate()` |
    `static boolean` | `match​(Dependency dependency, BeanConfig beanConfig)` |
    `protected void` | `prepareDependencies​(BeanConfig beanConfig)` |
    `void` | `setThrowExceptionIfCannotCreate​(boolean throwExceptionIfCannotCreate)` |
    `BeanConfig` | `unregister​(java.lang.String beanName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### DependencyManager

          public DependencyManager()

  - ### Method Detail

    - #### getAllFields

          public static java.lang.reflect.Field[] getAllFields​(java.lang.Class<?> klass)

    - #### match

          public static boolean match​(Dependency dependency,
                                      BeanConfig beanConfig)

    - #### getBeanConfig

          public BeanConfig[] getBeanConfig​(Dependency dependency)

    - #### getBeanConfig

          public BeanConfig getBeanConfig​(java.lang.String beanName)

    - #### getBeanConfigs

          public java.util.Collection<BeanConfig> getBeanConfigs()

    - #### getBeanConfigs

          public java.util.List<BeanConfig> getBeanConfigs​(java.lang.Class<?> type,
                                                           java.lang.reflect.Type genericType,
                                                           java.lang.Class<?> ownerClass)

    - #### getBeanConfigs

          public java.util.List<BeanConfig> getBeanConfigs​(java.lang.Class<?> type,
                                                           java.lang.reflect.Type genericType,
                                                           java.lang.Class<?> ownerClass,
                                                           boolean allowNonExportable)

    - #### getDependenciesTo

          public java.util.Collection<Dependency> getDependenciesTo​(BeanConfig destination)

    - #### getDependentBeans

          public java.util.HashSet<BeanConfig> getDependentBeans​(BeanConfig beanConfig)

    - #### isBeanClassRegistered

          public boolean isBeanClassRegistered​(java.lang.String beanName)

    - #### isThrowExceptionIfCannotCreate

          public boolean isThrowExceptionIfCannotCreate()

    - #### setThrowExceptionIfCannotCreate

          public void setThrowExceptionIfCannotCreate​(boolean throwExceptionIfCannotCreate)

    - #### unregister

          public BeanConfig unregister​(java.lang.String beanName)

    - #### createBeanConfig

          protected BeanConfig createBeanConfig​(Kernel kernel,
                                                java.lang.String beanName,
                                                java.lang.Class<?> beanClass)

    - #### prepareDependencies

          protected void prepareDependencies​(BeanConfig beanConfig)